### Method

# AppStream Component set_source_pkgname

#### Declaration [src]

    void
    as_component_set_source_pkgname (
      AsComponent* cpt,
      const gchar* spkgname
    )

#### Description

No description available.

#### Parameters

`spkgname`

  Type: `const gchar*`

  The source package name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.